SapccApiGetUserOrderHistoryRequest
Request parameters for getUserOrderHistory operation in SapccApi. SapccApiGetUserOrderHistoryRequest
interface SapccApiGetUserOrderHistoryRequest {
readonly baseSiteId: string;
readonly currentPage?: number;
readonly fields?: string;
readonly pageSize?: number;
readonly sort?: string;
readonly statuses?: string;
readonly userId: string;
}Properties
| Name | Required | Type | Description |
|---|---|---|---|
baseSiteId | Required | string | Base site identifier {string} SapccApiGetUserOrderHistory |
currentPage | Optional | number | Current result page. Default value is 0. {number} SapccApiGetUserOrderHistory |
fields | Optional | string | Response configuration. This is the list of fields that should be returned in the response body. Examples: BASIC,DEFAULT,FULL {string} SapccApiGetUserOrderHistory |
pageSize | Optional | number | The number of results returned per page. {number} SapccApiGetUserOrderHistory |
sort | Optional | string | Sorting method applied to the return results. {string} SapccApiGetUserOrderHistory |
statuses | Optional | string | Filters orders with specified status(es). For example, statuses = CANCELLED returns CANCELLED orders. To filter multiple statues, separate statues with "," and all orders with these statuses will be returned. For example, statuses = CANCELLED,COMPLETED,READY returns all orders with statuses CANCELLED,COMPLETED, and READY. Options available are: CANCELLING, CHECKED_VALID, CREATED, OPEN, READY, CHECKED_INVALID, ON_HOLD, ON_VALIDATION, PENDING_APPROVAL, SUSPENDED, COMPLETED, PAYMENT_AUTHORIZED, PENDING_APPROVAL_FROM_MERCHANT, CANCELLED, PAYMENT_NOT_AUTHORIZED, PENDING_QUOTE, APPROVED_QUOTE, PAYMENT_AMOUNT_RESERVED, PAYMENT_AMOUNT_NOT_RESERVED, REJECTED_QUOTE, APPROVED, PAYMENT_CAPTURED, PAYMENT_NOT_CAPTURED, REJECTED, APPROVED_BY_MERCHANT, FRAUD_CHECKED, ORDER_SPLIT, REJECTED_BY_MERCHANT, ASSIGNED_TO_ADMIN, PROCESSING_ERROR, B2B_PROCESSING_ERROR, WAIT_FRAUD_MANUAL_CHECK, PAYMENT_NOT_VOIDED, TAX_NOT_VOIDED, TAX_NOT_COMMITTED, TAX_NOT_REQUOTED {string} SapccApiGetUserOrderHistory |
userId | Required | string | User identifier or one of the literals : 'current' for currently authenticated user, 'anonymous' for anonymous user {string} SapccApiGetUserOrderHistory |